"use strict";

/**
 * @module lib/babel
 */

const babel = require('gulp-babel');
const es2015Preset = require('babel-preset-es2015-script');
const syntaxAsyncFunctions = require('babel-plugin-syntax-async-functions');
const transformGenerator = require('babel-plugin-transform-regenerator');

/**
 * Transpile ES6 into ES2015
 * @return {stream}
 * @static
 */
const compile = () => {

	return babel({
		presets: [es2015Preset],
		plugins: [syntaxAsyncFunctions,transformGenerator]
	});
};

module.exports = {
	compile
};