"use strict";

const chai = require('chai');
const js = require('./../index');
const rimraf = require('rimraf');
const path = require('path');
const fs = require('fs');
const should = require('should');
const log = require('@studyportals/node-log');
const gulp = require('gulp');

const CWD = path.resolve(`./testcases/compile`);

const deleteTest = function(){

	return new Promise((resolve, reject) =>{
		rimraf(`${CWD}/build`, function(err){
			(err) ? reject(err) : resolve();
		});
	});
};

before(deleteTest);

it('It should compile ES6 into ES2015 and Uglify without errors', (done) =>{

	gulp.src(`${CWD}/**/*.js`)
		.pipe(js.babel.compile())
		.pipe(js.uglify.compile())
		.pipe(gulp.dest(`${CWD}/build`))
		.on('end', () =>{
			log.info("Uglify JavaScript completed.");
			done && done();
		});
}).timeout(3000);